Bug 143096 - libwmf needlessly links against some extra libs
libwmf needlessly links against some extra libs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libwmf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 10:08 EST by Caolan McNamara
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: libwmf-0.2.8.4-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 06:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
drop (same) extra libs from libwmf-config (656 bytes, patch)
2006-02-27 12:40 EST, Rex Dieter
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2004-12-16 10:08:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041125

Description of problem:
libSM and so on are needlessly linked against

Version-Release number of selected component (if applicable):
libwmf-0.2.8.3-5

How reproducible:
Always

Steps to Reproduce:
1. ldd libwmf.so
    

Actual Results:  too many libs

Expected Results:  less libs

Additional info:
Comment 2 Rex Dieter 2006-02-27 12:38:57 EST
Corrolary: drop same libs from libwmf-config (and drop static lib while you're
at it).
Comment 3 Rex Dieter 2006-02-27 12:40:13 EST
Created attachment 125333 [details]
drop (same) extra libs from libwmf-config
Comment 4 Caolan McNamara 2006-02-28 06:18:24 EST
cool, done for next rawhide drop

Note You need to log in before you can comment on or make changes to this bug.